#ifndef FAN_CONTROLLER_H
#define FAN_CONTROLLER_H

#include <stdint.h>
#include <fxp.h>

void fan_controller_init(void);

/**@brief Run one iteration of the control loop.
 * @param temperature   The newly measured temperature in °C.
 * @returns             The calculated duty cycle.
 */
uint8_t fan_controller_update(fxp_t temperature);

#endif // FAN_CONTROLLER_H
